Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar30
Class EjbRelationTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar30.EjbRelationTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, EjbRelationType<T>

    public class EjbRelationTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, EjbRelationType<T>

This class implements the `ejb-relationType` xsd type

Original Documentation:

The ejb-relationType describes a relationship between two
entity beans with container-managed persistence. It is used
by ejb-relation elements. It contains a description; an
optional ejb-relation-name element; and exactly two
relationship role declarations, defined by the
ejb-relationship-role elements. The name of the
relationship, if specified, is unique within the ejb-jar
file.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`EjbRelationTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`EjbRelationTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`EjbRelationshipRoleType<EjbRelationType<T>>` | `ejbRelationshipRole()` If not already created, a new `ejb-relationship-role` element will be created and returned.
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.lang.String` | `getEjbRelationName()` Returns the `ejb-relation-name` element
`EjbRelationType<T>` | `removeAllDescription()` Removes the `description` element
`EjbRelationType<T>` | `removeEjbRelationName()` Removes the `ejb-relation-name` element
`EjbRelationType<T>` | `removeEjbRelationshipRole()` Removes the `ejb-relationship-role` element
`EjbRelationType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`EjbRelationType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`EjbRelationType<T>` | `setEjbRelationName(java.lang.String ejbRelationName)` If not already created, a new `ejb-relation-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EjbRelationTypeImpl

    public EjbRelationTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node)

### EjbRelationTypeImpl

    public EjbRelationTypeImpl(T t,
                               java.lang.String nodeName,
                               org.jboss.shrinkwrap.descriptor.spi.Node node,
                               org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setDescription

    public EjbRelationType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Specified by:
    `setDescription` in interface `EjbRelationType<T>`
  Returns:
    the current instance of `EjbRelationType`

### setDescriptionList

    public EjbRelationType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Specified by:
    `setDescriptionList` in interface `EjbRelationType<T>`
  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `EjbRelationType`

### removeAllDescription

    public EjbRelationType<T> removeAllDescription()

  Removes the `description` element

  Specified by:
    `removeAllDescription` in interface `EjbRelationType<T>`
  Returns:
    the current instance of `EjbRelationType`

### getDescriptionList

    public java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Specified by:
    `getDescriptionList` in interface `EjbRelationType<T>`
  Returns:
    list of `description`

### setEjbRelationName

    public EjbRelationType<T> setEjbRelationName(java.lang.String ejbRelationName)

  If not already created, a new `ejb-relation-name` element with the given value will be created. Otherwise, the existing `ejb-relation-name` element will be updated with the given value.

  Specified by:
    `setEjbRelationName` in interface `EjbRelationType<T>`
  Returns:
    the current instance of `EjbRelationType`

### removeEjbRelationName

    public EjbRelationType<T> removeEjbRelationName()

  Removes the `ejb-relation-name` element

  Specified by:
    `removeEjbRelationName` in interface `EjbRelationType<T>`
  Returns:
    the current instance of `EjbRelationType`

### getEjbRelationName

    public java.lang.String getEjbRelationName()

  Returns the `ejb-relation-name` element

  Specified by:
    `getEjbRelationName` in interface `EjbRelationType<T>`
  Returns:
    the node defined for the element `ejb-relation-name`

### removeEjbRelationshipRole

    public EjbRelationType<T> removeEjbRelationshipRole()

  Removes the `ejb-relationship-role` element

  Specified by:
    `removeEjbRelationshipRole` in interface `EjbRelationType<T>`
  Returns:
    the current instance of `EjbRelationType`

### ejbRelationshipRole

    public EjbRelationshipRoleType<EjbRelationType<T>> ejbRelationshipRole()

  If not already created, a new `ejb-relationship-role` element will be created and returned. Otherwise, the existing `ejb-relationship-role` element will be returned.

  Specified by:
    `ejbRelationshipRole` in interface `EjbRelationType<T>`
  Returns:
    the node defined for the element `ejb-relationship-role`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD